Skip to main content
PUT
/
api
/
2.0
/
appointments
/
{id}
Update Appointment
curl --request PUT \
  --url https://sandbox.elationemr.com/api/2.0/appointments/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "patient": 123,
  "physician": 123,
  "practice": 123,
  "reason": "<string>",
  "scheduled_date": "2023-11-07T05:31:56Z",
  "billing_details": {
    "billing_note": "<string>",
    "prior_authorization": "<string>",
    "referring_provider": "<string>",
    "referring_provider_state": "<string>"
  },
  "description": "<string>",
  "duration": -1,
  "instructions": "<string>",
  "metadata": {
    "data": {},
    "object_id": "<string>",
    "object_web_link": "<string>"
  },
  "payment": {
    "amount": "<string>",
    "when_collected": "2023-11-07T05:31:56Z",
    "appointment": 123,
    "bill": 123
  },
  "recurring_event_schedule": 123,
  "service_location": {
    "address_line1": "<string>",
    "address_line2": "<string>",
    "city": "<string>",
    "created_date": "2023-11-07T05:31:56Z",
    "deleted_date": "2023-11-07T05:31:56Z",
    "id": 123,
    "is_primary": true,
    "name": "<string>",
    "phone": "<string>",
    "state": "<string>",
    "zip": "<string>"
  },
  "status": {
    "room": "<string>",
    "status_detail": "<string>"
  },
  "telehealth_details": "<string>"
}
'
{
  "patient": 123,
  "physician": 123,
  "practice": 123,
  "reason": "<string>",
  "scheduled_date": "2023-11-07T05:31:56Z",
  "billing_details": {
    "billing_note": "<string>",
    "prior_authorization": "<string>",
    "referring_provider": "<string>",
    "referring_provider_state": "<string>"
  },
  "created_date": "2023-11-07T05:31:56Z",
  "deleted_date": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "duration": -1,
  "id": 123,
  "instructions": "<string>",
  "is_blocking": true,
  "last_modified_date": "2023-11-07T05:31:56Z",
  "metadata": {
    "data": {},
    "object_id": "<string>",
    "object_web_link": "<string>"
  },
  "payment": {
    "amount": "<string>",
    "when_collected": "2023-11-07T05:31:56Z",
    "appointment": 123,
    "bill": 123,
    "create_date": "2023-11-07T05:31:56Z",
    "delete_date": "2023-11-07T05:31:56Z",
    "id": 123
  },
  "recurring_event_schedule": 123,
  "service_location": {
    "address_line1": "<string>",
    "address_line2": "<string>",
    "city": "<string>",
    "created_date": "2023-11-07T05:31:56Z",
    "deleted_date": "2023-11-07T05:31:56Z",
    "id": 123,
    "is_primary": true,
    "name": "<string>",
    "phone": "<string>",
    "state": "<string>",
    "zip": "<string>"
  },
  "status": {
    "room": "<string>",
    "status_date": "2023-11-07T05:31:56Z",
    "status_detail": "<string>"
  },
  "telehealth_details": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
integer<int64>
required

Body

application/json
patient
integer<int64> | null
required
physician
integer<int64>
required
practice
integer<int64>
required
reason
string | null
required
Maximum string length: 50
scheduled_date
string<date-time>
required
billing_details
object

The billing details for the appointment.

description
string | null
duration
integer

The duration of the appointment in minutes. If duration is not provided, the default duration will be used given a reason.

Required range: -2147483648 <= x <= 2147483647
instructions
string | null
metadata
object
mode
enum<string>
Available options:
IN_PERSON,
VIDEO
payment
object
recurring_event_schedule
integer<int64> | null
service_location

The ID of the service location where the appointment will occur.

status
object
telehealth_details
string | null
deprecated
time_slot_status
enum<string> | null
Available options:
not_avail_for_self_schedule
time_slot_type
enum<string>
Available options:
appointment,
appointment_slot,
event

Response

200 - application/json
patient
integer<int64> | null
required
physician
integer<int64>
required
practice
integer<int64>
required
reason
string | null
required
Maximum string length: 50
scheduled_date
string<date-time>
required
billing_details
object

The billing details for the appointment.

created_date
string<date-time> | null
read-only
deleted_date
string<date-time> | null
read-only
description
string | null
duration
integer

The duration of the appointment in minutes. If duration is not provided, the default duration will be used given a reason.

Required range: -2147483648 <= x <= 2147483647
id
integer
read-only
instructions
string | null
is_blocking
boolean
read-only
last_modified_date
string<date-time>
read-only
metadata
object
mode
enum<string>
Available options:
IN_PERSON,
VIDEO
payment
object
recurring_event_schedule
integer<int64> | null
service_location

The ID of the service location where the appointment will occur.

status
object
telehealth_details
string | null
deprecated
time_slot_status
enum<string> | null
Available options:
not_avail_for_self_schedule
time_slot_type
enum<string>
Available options:
appointment,
appointment_slot,
event